TANH(3) | NetBSD Library Functions Manual | TANH(3)

# NAME

tanh, tanhf — hyperbolic tangent function

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
tanh(double x);

float
tanhf(float x);

# DESCRIPTION

The tanh() and tanhf() functions compute the hyperbolic tangent of x. For a discussion of error due to roundoff, see math(3).

# RETURN VALUES

The tanh() function returns the hyperbolic tangent value.

# SEE ALSO

acos(3), asin(3), atan(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3)

# STANDARDS

The tanh() function conforms to ANSI X3.159-1989 (“ANSI C”).

May 2, 1991 | NetBSD 5.99